3.1.0.5 vulnerabilities and exploits